Package org.codehaus.groovy.ant

# Class VerifyClass

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.MatchingTask
org.codehaus.groovy.ant.VerifyClass

All Implemented Interfaces:
  `Cloneable`, `org.apache.tools.ant.types.selectors.SelectorContainer`

public class VerifyClass extends org.apache.tools.ant.taskdefs.MatchingTask
Verify Class files. This task can take the following arguments:

- dir

When this task executes, it will recursively scan the dir and look for class files to verify.

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask

  `fileset`

  ### Fields inherited from class org.apache.tools.ant.Task

  `target, taskName, taskType, wrapper`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VerifyClass()`
  Creates a bytecode verification task.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `execute()`
  Verifies every class file below the configured directory.
  `void`
  `setDir(String dir)`
  Sets the top-level directory that will be scanned for class files.
  `void`
  `setVerbose(boolean v)`
  Controls whether failing methods are logged verbosely.

  ### Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask

  `add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDirectoryScanner, getImplicitFileSet, getSelectors, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setProject, XsetIgnore, XsetItems`

  ### Methods inherited from class org.apache.tools.ant.Task

  `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, setDescription, setLocation`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VerifyClass

    public VerifyClass()
    Creates a bytecode verification task.

- ## Method Details

  - ### execute

    public void execute() throws org.apache.tools.ant.BuildException
    Verifies every class file below the configured directory.
    Overrides:
      `execute` in class `org.apache.tools.ant.Task`
    Throws:
      `org.apache.tools.ant.BuildException` - if configuration is invalid or verification fails unexpectedly

  - ### setDir

    public void setDir(String dir) throws org.apache.tools.ant.BuildException
    Sets the top-level directory that will be scanned for class files.
    Parameters:
      `dir` - the directory to verify
    Throws:
      `org.apache.tools.ant.BuildException` - if Ant rejects the supplied value

  - ### setVerbose

    public void setVerbose(boolean v)
    Controls whether failing methods are logged verbosely.
    Parameters:
      `v` - `true` to log failing method signatures